{ config, lib, pkgs, ... }:

{
  programs.neovim = {
    extraPackages = with pkgs; [
      # LazyVim
      lua-language-server
      stylua
      # Telescope
      ripgrep
    ];

    plugins = with pkgs.vimPlugins; [
      lazy-nvim
    ];
  };

  # Normal LazyVim config here, see https://github.com/LazyVim/starter/tree/main/lua
  xdg.configFile."nvim/init.lua".source = ../dotfiles/nvim/init.lua;
  xdg.configFile."nvim/stylua.toml".source = ../dotfiles/nvim/stylua.toml;
  xdg.configFile."nvim/.neoconf.json".source = ../dotfiles/nvim/.neoconf.json;
  xdg.configFile."nvim/lua".source = ../dotfiles/nvim/lua;
}
